Name:           foobillard
Version:        2.8
Release:        0.fdr.3.rh90
Epoch:          0
Summary:        A free OpenGL game of playing billard.

Group:          Amusements/Games
License:        GPL
URL:            http://foobillard.sunsite.dk/
Source0:        http://foobillard.sunsite.dk/dnl/%{name}-%{version}.tar.gz
Source1:	foobillard.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  SDL-devel XFree86-devel freetype-devel libpng-devel perl
BuildRequires:  zlib-devel ImageMagick

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux. 
FooBillard is still under development but the main physics is implemented.


%prep
%setup -q
perl -pi -e 's|^(CFLAGS\s*=.*)$|$1 \$(RPM_OPT_FLAGS)|' src/Makefile.in


%build
%configure --disable-nvidia
make %{?_smp_mflags}
convert -resize 48 data/foobillard.png foobillard.png


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -pm 644 %{_sourcedir}/foobillard.desktop \
	$RPM_BUILD_ROOT%{_datadir}/applications/fedora-foobillard.desktop
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -pm 644 foobillard.6 $RPM_BUILD_ROOT%{_mandir}/man6
install -D -p -m 644 foobillard.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/foobillard.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO README.FONTS
%doc foobillardrc.example
%{_bindir}/foobillard
%{_datadir}/applications/fedora-foobillard.desktop
%{_datadir}/foobillard
%{_datadir}/pixmaps/foobillard.png
%{_mandir}/man6/*


%changelog
* Mon Oct  6 2003 Warren Togami <warren@togami.com> 0:2.8-0.fdr.3
- Ville's spec patch #713

* Sat Oct  4 2003 Miloslav Trmac <mitr@volny.cz> 0:2.8-0.fdr.2
- Use $RPM_OPT_FLAGS
- Use 'fedora' as desktop file vendor
- Preserve timestamps of the desktop file and the man page

* Sat Sep 13 2003 Miloslav Trmac <mitr@volny.cz> 0:2.8-0.fdr.1
- Initial Fedora package
